using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Questions
{
    /// <summary>
    /// 试题选项
    /// </summary>
    [Description("试题选项")]
    public class QuestionOptionsDto:UpdateQuestionOptionsDto
    {
        
        public string CompleteContent
        {
            get
            {
                return string.Concat(Label, ".", Content);
            }
        }
    }

    /// <summary>
    /// 查看试题选项
    /// </summary>
    [Description("查看试题选项")]
    public class ViewQuestionOptionDto : QuestionOptionsDto
    {
        public bool IsSelected { get; set; }
    }

    /// <summary>
    /// 试题选项
    /// </summary>
    [Description("试题选项")]
    public class AddQuestionOptionsDto : IAddRequest,IOperationStatus
    {
        /// <summary>
        /// 选项内容
        /// </summary>
        [Description("选项内容")]
        public string Content { get; set; }

        /// <summary>
        /// 是否答案
        /// </summary>
        [Description("是否答案")]
        public bool IsAnswer { get; set; }

        /// <summary>
        /// 试题
        /// </summary>
        [Description("试题")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }

        /// <summary>
        /// 选项题标
        /// </summary>
        [Description("选项题标")]
        public string Label { get; set; }
    }

    /// <summary>
    /// 试题选项
    /// </summary>
    [Description("试题选项")]
    public class UpdateQuestionOptionsDto : AddQuestionOptionsDto,IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
